# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class NormalPlayTime

    java.lang.Object
      com.google.gdata.data.media.mediarss.NormalPlayTime

    public class NormalPlayTime

extends java.lang.Object

Time specification object which tries to conform to section 3.6 of RFC 2326 (Normal Play Time). It does not support ranges. It only supports a millisecond precision. Any time more precise than that will be lost when parsing.

Field Summary
`static NormalPlayTime` `NOW` The NormalPlayType 'now'

Constructor Summary
`NormalPlayTime(long ms)` Creates a NormalPlayTime object.

Method Summary
`java.lang.String` `getNptHhmmssRepresentation()` Gets the standard `hh:mm:ss.fraction` representation for this object.
`java.lang.String` `getNptSecondsRepresentation()` Gets the standard `seconds.fraction` representation for this object.
`long` `getTimeOffsetMs()` Returns the offset it milliseconds, -1l for NOW.
`boolean` `isNow()` Check whether this time is the special 'now' time.
`static NormalPlayTime` `parse(java.lang.String stringRep)` Parses a NormalPlayTime object and return it.
`java.lang.String` `toString()` Gets a valid string representation (seconds "." fraction).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOW

    public static final NormalPlayTime NOW

  The NormalPlayType 'now'

Constructor Detail

### NormalPlayTime

    public NormalPlayTime(long ms)

  Creates a NormalPlayTime object. If you want 'NOW', use the constant `NOW`.

  Parameters:
    `ms` - time offset, in milliseconds

Method Detail

### isNow

    public boolean isNow()

  Check whether this time is the special 'now' time.

### getTimeOffsetMs

    public long getTimeOffsetMs()

  Returns the offset it milliseconds, -1l for NOW.

### parse

    public static NormalPlayTime parse(java.lang.String stringRep)
                                throws java.text.ParseException

  Parses a NormalPlayTime object and return it.

  Parameters:
    `stringRep` - string representation
  Returns:
    a NormalPlayTime, null if and only if stringRep == null
  Throws:
    `java.text.ParseException` - if the string representation could not be parsed

### toString

    public java.lang.String toString()

  Gets a valid string representation (seconds "." fraction).

  Overrides:
    `toString` in class `java.lang.Object`

### getNptSecondsRepresentation

    public java.lang.String getNptSecondsRepresentation()

  Gets the standard `seconds.fraction` representation for this object.

  Returns:
    `seconds.fraction` or `"now"`

### getNptHhmmssRepresentation

    public java.lang.String getNptHhmmssRepresentation()

  Gets the standard `hh:mm:ss.fraction` representation for this object.

  Returns:
    `hh:mm:ss.fraction` or `"now"`